### Stack

Category

Import and Export

Function

Stacks fields or series of fields.

Syntax

    output = Stack(input, dimension);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field, field series, or group | none | data to be stacked
`dimension` | integer or string | 0 | dimension in which the data is to be stacked

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | stacked data

Functional Details

This module stacks a series of n-dimensional fields to form a single (n+1)-dimensional field. You can also use Stack to add a dimension to a single field (e.g., "stack" it from 2 dimensions to 3 dimensions). Note that Stack does not accept partitioned data as `input`.

`input` | specifies the object(s) to be stacked. The field(s) must have regular connections. If the parameter specifies a series, the location of the stacked field in the new `dimension` is equal to the series position of that field. If the parameter specifies a group, then the location of each member of the group in the new `dimension` will be 0, 1, .... If the parameter specifies a field (rather than a field series), the n-dimensional data is converted to (n+1)-dimensional data, with the value of the extra dimension set to zero. A dimension can be specified by number (from 0 to n - 1). The first three can also be specified as x, y, and z, respectively. The default value is dimension 0 (zero).

Components

All input components are propagated to the output.

Example Visual Program

    ManipulateGroups.net

See Also

CollectSeries, Slice, Transpose

[ OpenDX Home at IBM | OpenDX.org ]